# https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_git_hosting_services
# From GitHub, version 41 (tag v41)
%global gittag v41

Name:           gnome-shell-extension-appindicator
Version:        3.34.7
Release:        lp153.1.2
Summary:        AppIndicator/KStatusNotifierItem support for GNOME Shell
License:        GPL-2.0
Group:          System/GUI/GNOME
Url:            https://github.com/ubuntu/gnome-shell-extension-appindicator
Source:         https://github.com/ubuntu/%{name}/archive/%{gittag}/%{name}-%{gittag}.tar.gz

BuildRequires:  glib2-tools
BuildRequires:  jq
BuildRequires:  meson
# Needed for directory ownership
BuildRequires:  gnome-shell
#BuildRequires:  libgio-2_0-0
BuildArch:      noarch

Requires:       gnome-shell
Recommends:     %{name}-lang = %{version}


%description
This extension integrates Ubuntu AppIndicators and KStatusNotifierItems (KDE's
blessed successor of the systray) into GNOME Shell. Including support for legacy
tray icons.

Features:

- Show indicator icons in the panel.
- Reveal indicator menus upon click.
- Double clicking an icon will activate the application window (if implemented
by the indicator).
- Legacy tray icons
- Middle mouse click an icon to send a 'SecondaryActivate' event to the
application. Support needs to be implemented in the application.


%lang_package


%prep
%autosetup -n %{name}-41


%build
%meson -Dlocal_install=disabled
%meson_build


%install
%meson_install
%find_lang AppIndicatorExtension
# BuildRequires: libgio-2_0-0 should work, but it didn't work
rm %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled


%files
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.appindicator.gschema.xml
%{_datadir}/gnome-shell/extensions/appindicatorsupport@rgcjonas.gmail.com


%files lang -f AppIndicatorExtension.lang


%changelog
* Wed Oct 13 2021 Antônio Vinicius Menezes Medeiros <linuxkamarada@gmail.com>
- First packaging, v41 for GNOME Shell 3.34.7 (openSUSE Leap 15.3)
